Page MenuHomePhabricator

Help panel: comparative review of in-context questioning
Closed, ResolvedPublic

Description

Background

The Growth team will be adding a prompt allowing users to ask for help when they are in the context of editing an article, with the hypothesis that:
(A) Users are more likely to seek help when presented with an easy way to submit their questions; and
(B) Users are more likely to successfully complete an edit by knowing where to seek help.

Goal of the Comparative review

Review ways that other platforms and websites surface question-asking opportunities for users, to get ideas for best practices and trends to consider in our own design of an in-context help feature.

  • Aspects of the review will be:
    • Type(s) of help functionality offered in-context (e.g., info and links only? Searchable help topics? Live chat? Posting questions via email?)
    • Design of the in-context help (e.g., placement and design of the element to trigger help, interaction flow to ask questions using the in-context UI)
    • Availability on Mobile and/or Desktop

Comparative review: https://docs.google.com/presentation/d/10QHEJAH2HTEG_-GsDEwNCpORc3L0jUzRdgPpPdFL57s

Event Timeline

RHo updated the task description. (Show Details)Oct 29 2018, 9:31 PM
RHo updated the task description. (Show Details)Oct 29 2018, 9:36 PM
RHo updated the task description. (Show Details)
RHo updated the task description. (Show Details)Nov 1 2018, 7:41 PM

hi @MMiller_WMF - see the comparative review deck, I've started iterating on designs based on the some of the main takeaways already but please comment if there's anything particular you want addressed.

Thanks, @RHo. It looks like there's enough consistency across platforms that we'll probably be tapping into habits that users have already developed in other software. Here are some of my questions and thoughts:

  • One question I have is whether those patterns are also consistent across cultures. For instance, does Korean software have the same sorts of patterns?
  • Another question I have is the difference between a "help desk" and "community forum". Is the former where "staff" answer questions, and the latter where other community members discuss (as equals)?
  • I like that this brings up how to convey the context of the question, like what line or sentence or file the user is struggling with.
RHo added a comment.Nov 5 2018, 12:54 PM

Thanks, @RHo. It looks like there's enough consistency across platforms that we'll probably be tapping into habits that users have already developed in other software. Here are some of my questions and thoughts:

  • One question I have is whether those patterns are also consistent across cultures. For instance, does Korean software have the same sorts of patterns?
  • Good point and it was a constraint due to my lack of cs and ko context. However, Facebook at least is in there as a site popular in both countries. Similarly, reviewing ZenDesk and Intercom (the company that provides the customer service for Airtable) is intended to capture best 'global' best practices generally.
  • For specific cultural comparison I did have a look at a couple of popular Korean sites like Daum, Naver etc and wasn't able to see prominent in-context help (though these are more portals and I may have missed something in translation). The one place that is pretty equivalent was namuwiki but afaik they do not offer in-context help, but rather 'front load' their site with lots of comprehensive help for new editors (getting started guides, links to forums, etc); as well as showing similar links to help at the bottom of pages when editing (but which direct users out of editing).
  • Another question I have is the difference between a "help desk" and "community forum". Is the former where "staff" answer questions, and the latter where other community members discuss (as equals)?
  • Yes. I think this is an important distinction we should make that our Help Desk will be manned by volunteers so that it set expectations around:
    • (a) "Service" and who they are getting help from - newbies should know they are not receiving advice by some Wikipedia customer service representative being paid to be civil and helpful, but community individuals like them;
    • (b) Response times - users understand their answer is dependent on someone in the community making a choice to respond, rather than it being a responsibility of some specific Help staff.
  • I like that this brings up how to convey the context of the question, like what line or sentence or file the user is struggling with.
  • Yes, this is something that came up as a limitation of the Article Feedback Tool as well, so want to propose potential ways to allow users to give more context.

@RHo -- maybe @revi and @Urbanecm can chime in with whether the patterns you see in your slides are common in their cultures. We can also bring it up in check-ins with them this week.

revi added a comment.Nov 6 2018, 4:55 PM

Big internet companies (Naver, Daum ...) generally do not do in-context helps found at the presentation screenshots: We don't know why (hehe).

However some retail malls (i.e. F27080221 (seems to be just their own live chat every pages on desktop, and naver-provided chat help method on mobile ), F27080298 (has a "chatbot" solution with chat logo) do make use of some sort of in-context helps. (I found a startup(?) doing that business locally Korean company but does have English website.) I couldn't find the real in-context help we're looking for, because I am probably used to browsing sites where no in-context help is provided, or it's maybe Korean businesses just really don't do in-context help.

</workhat>

MMiller_WMF closed this task as Resolved.Nov 7 2018, 5:15 PM
MMiller_WMF renamed this task from Help desk: comparative review of in-context questioning to Help pane: comparative review of in-context questioning.Nov 13 2018, 11:32 PM
MMiller_WMF renamed this task from Help pane: comparative review of in-context questioning to Help panel: comparative review of in-context questioning.Nov 29 2018, 7:10 PM